Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl
Class AssignExpImpl

    java.lang.Object
      OCLExpressionImpl
          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeExpressionImpl
              org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.AssignExpImpl

All Implemented Interfaces:
  AssignExp, ImperativeExpression

    public class AssignExpImpl

extends ImperativeExpressionImpl
implements AssignExp

An implementation of the model object 'Assign Exp'.

The following features are implemented:

- `Default Value`
- `Is Reset`
- `Left`
- `Value`

Field Summary
`protected OCLExpression` | `defaultValue` The cached value of the '`Default Value`' containment reference
`protected static boolean` | `IS_RESET_EDEFAULT` The default value of the '`Is Reset`' attribute
`protected boolean` | `isReset` The cached value of the '`Is Reset`' attribute
`protected boolean` | `isResetESet` This is true if the Is Reset attribute has been set
`protected OCLExpression` | `left` The cached value of the '`Left`' containment reference
`protected` | `value` The cached value of the '`Value`' containment reference list

Constructor Summary
`protected` | `AssignExpImpl()`

Method Summary
`
`<T,U extends > T`
` | `accept(U v)`
`NotificationChain` | `basicSetDefaultValue(OCLExpression newDefaultValue, NotificationChain msgs)`
`NotificationChain` | `basicSetLeft(OCLExpression newLeft, NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` | `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` | `eStaticClass()`
`void` | `eUnset(int featureID)`
`OCLExpression` | `getDefaultValue()`
`OCLExpression` | `getLeft()`
`` | `getValue()`
`boolean` | `isIsReset()`
`boolean` | `isSetIsReset()`
`void` | `setDefaultValue(OCLExpression newDefaultValue)`
`void` | `setIsReset(boolean newIsReset)`
`void` | `setLeft(OCLExpression newLeft)`
`java.lang.String` | `toString()`
`void` | `unsetIsReset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### defaultValue

    protected OCLExpression defaultValue

  The cached value of the '`Default Value`' containment reference.

  See Also:
    `getDefaultValue()`

### IS_RESET_EDEFAULT

    protected static final boolean IS_RESET_EDEFAULT

  The default value of the '`Is Reset`' attribute.

  See Also:
    `isIsReset()`, Constant Field Values

### isReset

    protected boolean isReset

  The cached value of the '`Is Reset`' attribute.

  See Also:
    `isIsReset()`

### isResetESet

    protected boolean isResetESet

  This is true if the Is Reset attribute has been set.

### left

    protected OCLExpression left

  The cached value of the '`Left`' containment reference.

  See Also:
    `getLeft()`

### value

    protected  value

  The cached value of the '`Value`' containment reference list.

  See Also:
    `getValue()`

Constructor Detail

### AssignExpImpl

    protected AssignExpImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `ImperativeExpressionImpl`

### getDefaultValue

    public OCLExpression getDefaultValue()

  Specified by:
    `getDefaultValue` in interface `AssignExp`
  Returns:
    the value of the 'Default Value' containment reference.
  See Also:
    `AssignExp.setDefaultValue(OCLExpression)`, `ImperativeOCLPackage.getAssignExp_DefaultValue()`

### basicSetDefaultValue

    public NotificationChain basicSetDefaultValue(OCLExpression newDefaultValue,
                                                  NotificationChain msgs)

### setDefaultValue

    public void setDefaultValue(OCLExpression newDefaultValue)

  Specified by:
    `setDefaultValue` in interface `AssignExp`
  Parameters:
    `newDefaultValue` - the new value of the 'Default Value' containment reference.
  See Also:
    `AssignExp.getDefaultValue()`

### isIsReset

    public boolean isIsReset()

  Specified by:
    `isIsReset` in interface `AssignExp`
  Returns:
    the value of the 'Is Reset' attribute.
  See Also:
    `AssignExp.isSetIsReset()`, `AssignExp.unsetIsReset()`, `AssignExp.setIsReset(boolean)`, `ImperativeOCLPackage.getAssignExp_IsReset()`

### setIsReset

    public void setIsReset(boolean newIsReset)

  Specified by:
    `setIsReset` in interface `AssignExp`
  Parameters:
    `newIsReset` - the new value of the 'Is Reset' attribute.
  See Also:
    `AssignExp.isSetIsReset()`, `AssignExp.unsetIsReset()`, `AssignExp.isIsReset()`

### unsetIsReset

    public void unsetIsReset()

  Specified by:
    `unsetIsReset` in interface `AssignExp`
  See Also:
    `AssignExp.isSetIsReset()`, `AssignExp.isIsReset()`, `AssignExp.setIsReset(boolean)`

### isSetIsReset

    public boolean isSetIsReset()

  Specified by:
    `isSetIsReset` in interface `AssignExp`
  Returns:
    whether the value of the 'Is Reset' attribute is set.
  See Also:
    `AssignExp.unsetIsReset()`, `AssignExp.isIsReset()`, `AssignExp.setIsReset(boolean)`

### getLeft

    public OCLExpression getLeft()

  Specified by:
    `getLeft` in interface `AssignExp`
  Returns:
    the value of the 'Left' containment reference.
  See Also:
    `AssignExp.setLeft(OCLExpression)`, `ImperativeOCLPackage.getAssignExp_Left()`

### basicSetLeft

    public NotificationChain basicSetLeft(OCLExpression newLeft,
                                          NotificationChain msgs)

### setLeft

    public void setLeft(OCLExpression newLeft)

  Specified by:
    `setLeft` in interface `AssignExp`
  Parameters:
    `newLeft` - the new value of the 'Left' containment reference.
  See Also:
    `AssignExp.getLeft()`

### getValue

    public  getValue()

  Specified by:
    `getValue` in interface `AssignExp`
  Returns:
    the value of the 'Value' containment reference list.
  See Also:
    `ImperativeOCLPackage.getAssignExp_Value()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ImperativeExpressionImpl`

### accept

    public <T,U extends > T accept(U v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD